=== debian/control ===
Source: l-smash-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/l-smash/l-smash
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12)

Package: liblsmash2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Loyal to Spec of Mpeg4 and Ad-hoc Simple Hackwork
 Yet another opensource mp4 handler.
 .
 This package contains runtime files.

Package: liblsmash-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblsmash2 (= ${binary:Version}), ${misc:Depends}
Description: Loyal to Spec of Mpeg4 and Ad-hoc Simple Hackwork
 Yet another opensource mp4 handler
 .
 This package contains development files.

Package: l-smash
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MP4 muxer and other tools
 This package contains various utilities :
 .
  o boxdumper - structural analyzer.
  o muxer - multiplexer.
  o remuxer - re-muliplexer.
  o timelineeditor - timeline editor.
