=== debian/rules ===
#!/usr/bin/make -f

#
# See " grep LSMASH_VERSION_ lsmash.h " for soname number
#

LSMASH_VERSION_MAJOR=$(shell grep -m1 LSMASH_VERSION_MAJOR lsmash.h | awk '{printf "%1d", $$3}')
LSMASH_VERSION_MINOR=$(shell grep -m1 LSMASH_VERSION_MINOR lsmash.h | awk '{printf "%1d", $$3}')
LSMASH_VERSION_MICRO=$(shell grep -m1 LSMASH_VERSION_MICRO lsmash.h | awk '{printf "%1d", $$3}')

LSMASH_SONAME=$(LSMASH_VERSION_MAJOR).$(LSMASH_VERSION_MINOR).$(LSMASH_VERSION_MICRO)

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --enable-shared --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	dh_auto_install

	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liblsmash.so
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liblsmash.so.$(LSMASH_VERSION_MAJOR) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/liblsmash.so.$(LSMASH_SONAME)
	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) && ln -s liblsmash.so.$(LSMASH_SONAME) liblsmash.so.$(LSMASH_VERSION_MAJOR)
	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) && ln -s liblsmash.so.$(LSMASH_SONAME) liblsmash.so
