=== debian/watch ===
version=4

https://github.com/l-smash/l-smash/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
